import { ISettingsKeyProvider } from "../../fx/services";
export declare const SPFxSettingsTopic: {
    namespace: string;
};
export declare class OmniaSPFxSettingsProvider implements ISettingsKeyProvider {
    useSecurityProvider(securityProviderId: string): void;
    getValue: (key: string) => Promise<any>;
    canSetValue: (key: string) => Promise<boolean>;
    setValue: (key: string, value: any) => Promise<any>;
    ensureMigration: (scope: string, controlId: string, newKey: string, transformData?: (migratedValue: any) => any) => Promise<boolean>;
}
export declare enum SPFxSettingsActionType {
    Get = 0,
    Set = 1,
}
export declare type SPFxSettingsActionMsg = {
    action: SPFxSettingsActionType;
    callBack: (value?: any) => void;
    value?: any;
};
